Package org.eclipse.emf.cdo.common

# Enum Class CDOCommonSession.Options.LockNotificationMode

java.lang.Object
java.lang.Enum<CDOCommonSession.Options.LockNotificationMode>
org.eclipse.emf.cdo.common.CDOCommonSession.Options.LockNotificationMode

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOCommonSession.Options.LockNotificationMode>`, `Constable`

Enclosing interface:
  CDOCommonSession.Options

public static enum CDOCommonSession.Options.LockNotificationMode extends Enum<CDOCommonSession.Options.LockNotificationMode>
Enumerates the possible `lock notification modes` of a CDO session.

Since:
  4.1

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALWAYS`
This mode always delivers lock notifications, even if no views have them enabled, and even if no views are open.
`IF_REQUIRED_BY_VIEWS`
This mode delivers lock notifications if one or more views have enabled them.
`OFF`
This mode delivers no lock notifications

## Method Summary

Modifier and Type
Method
Description
`static CDOCommonSession.Options.LockNotificationMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOCommonSession.Options.LockNotificationMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OFF

public static final CDOCommonSession.Options.LockNotificationMode OFF
This mode delivers no lock notifications

### IF_REQUIRED_BY_VIEWS

public static final CDOCommonSession.Options.LockNotificationMode IF_REQUIRED_BY_VIEWS
This mode delivers lock notifications if one or more views have enabled them.

### ALWAYS

public static final CDOCommonSession.Options.LockNotificationMode ALWAYS
This mode always delivers lock notifications, even if no views have them enabled, and even if no views are open.

## Method Details

### values

public static CDOCommonSession.Options.LockNotificationMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOCommonSession.Options.LockNotificationMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null